Description

It is very annoying and error prone to search through the ever growing list of layers when working in processing stages with multiple layers

in fTools.

Normally i deactivate the resulting layers of previous steps, but keep them in the TOC in case of need.

It would be very nice if fTools would only present the active layers (like the GRASS dialogs do), so picking the wrong layers by mistake

would become more unlikely, or at least time could be saved by not having to browse all these layers you actually do need there.

History

#1 - 2016-01-20 02:45 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Category changed from 44 to Processing/Core

Hello, bug triage...

in order to take care of this feature request, I suggest we add an option in Processing General options as 'list only active layers'.

When checked, only active layers would be displayed in the QComboBoxes of the algorithms dialog boxes layer lists.

Doing like this would not break anything and it seems to be easier to implement.

What do you think, any other suggestion ?

#2 - 2016-05-24 09:50 AM - Alexander Bruy

- Status changed from Feedback to Open

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-05-02 03:26 PM - Regis Haubourg

- Description updated

- Subject changed from fTools: Show only active layers in layer dialogs to Processing: Add option to Show only active layers in layer dialogs
